import { useEditor } from "@/modules/editor";
import { getOption } from "@/modules/editor/config/compUIOptions/create";
import { Input } from "ant-design-vue";
import { get, set } from "lodash";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();

    return () => {
      const currCompUIOpts = getOption(
        editor.config.compUIOptions,
        editor.store.currComp?.compKey
      );
      return (
        <div>
          <div class="p-16px border-bottom !border-2px">设置栏</div>
          {currCompUIOpts && (
            <div class="m-16px">
              <div>当前组件</div>
              <div class="py-16px space-y-10px">
                {currCompUIOpts.valueOpts.map((d) => {
                  return (
                    <div class="">
                      <div>{d.label}</div>
                      <Input
                        value={
                          d.dataIndex
                            ? get(editor.store.currComp?.value, d.dataIndex)
                            : editor.store.currComp?.value
                        }
                        onChange={(e) =>
                          set(
                            d.dataIndex
                              ? editor.store.currComp?.value
                              : editor.store.currComp,
                            d.dataIndex || "value",
                            e.target.value
                          )
                        }
                      />
                    </div>
                  );
                })}
              </div>
            </div>
          )}
        </div>
      );
    };
  },
});
